-
Christoph Anton Mitterer authored
Signed-off-by:
Christoph Anton Mitterer <mail@christoph.anton.mitterer.name>
Christoph Anton Mitterer authoredSigned-off-by:
Christoph Anton Mitterer <mail@christoph.anton.mitterer.name>
update_package-repository-data_xcache-container 1.72 KiB
#!/bin/sh
#initialise and secure the shell execution environment
unset -v IFS
PATH='/usr/sbin:/sbin:/usr/bin:/bin'
#********************************************************************************
#*** Update Package Repository Data ***
#********************************************************************************
output="$( singularity exec -B ~xcache/var/lib/yum:/var/lib/yum:rw -B ~xcache/var/cache/yum:/var/cache/yum:rw ~xcache/xcache.img yum --quiet --setopt='exit_on_lock=true' clean all 2>&1 )"
if [ $? -ne 0 ] || [ -n "${output}" ]; then #error handling
printf 'Warning: Could not clean package repository data.\n' >&2
fi
output="$( singularity exec -B ~xcache/var/lib/yum:/var/lib/yum:rw -B ~xcache/var/cache/yum:/var/cache/yum:rw ~xcache/xcache.img yum --quiet --setopt='exit_on_lock=true' makecache 2>&1 )"
if [ $? -ne 0 ] || [ -n "${output}" ]; then #error handling
printf 'Error: Could not update package repository data.\n' >&2
exit 1
fi
exit 0
#Copyright © 2012–2021 Christoph Anton Mitterer <mail@christoph.anton.mitterer.name>
#
#
#This program is free software: you can redistribute it and/or modify it under
#the terms of the GNU General Public License as published by the Free Software
#Foundation, either version 3 of the License, or (at your option) any later
#version.
#This program is distributed in the hope that it will be useful, but WITHOUT ANY
#WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
#PARTICULAR PURPOSE.
#See the GNU General Public License for more details.
#You should have received a copy of the GNU General Public License along with
#this program. If not, see <https://www.gnu.org/licenses/>.